Subject: RE: [Simple] Comments on simple-im-sessions-01

From: [email-masked]
Date: Mon, 24 Mar 2003 12:06:19 +0200

> -----Original Message-----
> From: ext Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Wednesday, March 19, 2003 7:33 AM
> To: Khartabil Hisham (NMP/Helsinki)
> Cc: [email-masked]
> Subject: Re: [Simple] Comments on simple-im-sessions-01

> 
>  > - In the steps for hosting a session (Inviter and invitee 
> cases), the
>  > steps suggest (step 2 in both cases) to listen for a 
> connection from
>  > the peer before sending the SDP offer (answer). Why would you start
>  > listening on ports that you haven't informed anyone about yet? I
>  > think steps 2 should be the last step. i.e. start listening for
>  > connections after you send the SDP.
> 
> Its really the same as regular offer/answer. You need to be 
> prepared to 
> receive media the instant the SDP is sent. The sane way to implement 
> that is to being listening just before you send it.

Actually, in the offer/answer RFC, it says "Once the offerer has sent the offer, it MUST be prepared to receive media...". Similar sentence for the answerer. I interpret this to mean start listening after the offer is sent.

Anyway, I get your point.

Regards,
Hisham

> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 
> 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple